// copied from microchip's peripherial lib
#include <p18cxxx.h>
#include <adc.h>

void OpenADC( unsigned char config,
              unsigned char config2,
              unsigned char config3)
{
    ADCON0 = 0;
	ADCON1 = 0;
    ADCON2 = 0;

    ADCON0 = (config2) & 0b01111100;	// GET CHANNELS 
	
    ADCON1 = config3; // Vref+/- & Trigger & Negetive channel select
			 
    ADCON2 = (config & 0b10000000)	|	// RESULT
             ((config >> 4) & 0b00000111) |	// CONV CLK
             ((config << 2) & 0b00111000);	// ACQ TIME
	
    if( config2 & 0b10000000 )			// ADC INT.
    {
      PIR1bits.ADIF = 0;
      PIE1bits.ADIE = 1;
      INTCONbits.PEIE = 1;
    }
    ADCON0bits.ADON = 1;
}

void ConvertADC(void)
{
  ADCON0bits.GO = 1;
}

void SelChanConvADC(unsigned char channel)
{
  ADCON0 = (ADCON0 & 0b10000011)|
           ((channel) & 0b01111100);
  ADCON0bits.GO = 1;
}
